Bug 597878 - SELinux is preventing /var/lib/boinc/slots/3/freeze "ptrace" access .
Summary: SELinux is preventing /var/lib/boinc/slots/3/freeze "ptrace" access .
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:8ed625e2977...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 21:30 UTC by Daniel Stripes
Modified: 2010-06-23 17:48 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-28.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 17:48:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Stripes 2010-05-30 21:30:18 UTC
Summary:

SELinux is preventing /var/lib/boinc/slots/3/freeze "ptrace" access .

Detailed Description:

[freeze has a permissive type (boinc_t). This access was not denied.]

SELinux denied access requested by freeze. It is not expected that this access
is required by freeze and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:system_r:boinc_t:s0
Target Objects                None [ process ]
Source                        freeze
Source Path                   /var/lib/boinc/slots/3/freeze
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.4-95.fc13.i686.PAE #1
                              SMP Thu May 13 05:38:26 UTC 2010 i686 i686
Alert Count                   6
First Seen                    Sat 29 May 2010 10:43:38 PM EDT
Last Seen                     Sun 30 May 2010 04:06:42 PM EDT
Local ID                      f6c01911-b2e6-4b67-9682-3bace16c3589
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275250002.948:33): avc:  denied  { ptrace } for  pid=2802 comm="freeze" scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:system_r:boinc_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1275250002.948:33): arch=40000003 syscall=26 per=400000 success=yes exit=0 a0=10 a1=aba a2=0 a3=0 items=0 ppid=2744 pid=2802 auid=4294967295 uid=492 gid=486 euid=492 suid=492 fsuid=492 egid=486 sgid=486 fsgid=486 tty=(none) ses=4294967295 comm="freeze" exe="/var/lib/boinc/slots/3/freeze" subj=system_u:system_r:boinc_t:s0 key=(null)



Hash String generated from  catchall,freeze,boinc_t,boinc_t,process,ptrace
audit2allow suggests:

#============= boinc_t ==============
allow boinc_t self:process ptrace;

Comment 1 Miroslav Grepl 2010-06-03 08:29:57 UTC
Fixed in selinux-policy-3.7.19-24.fc13

Comment 2 Fedora Update System 2010-06-14 19:29:35 UTC
selinux-policy-3.7.19-28.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13

Comment 3 Fedora Update System 2010-06-15 15:59:34 UTC
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13

Comment 4 Fedora Update System 2010-06-23 17:46:25 UTC
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.